Bug 92914 - rendercontext: print preview problems
Summary: rendercontext: print preview problems
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-24 13:17 UTC by Miklos Vajna
Modified: 2016-10-25 19:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2015-07-24 13:17:40 UTC
Starting LO as:

VCL_DOUBLEBUFFERING_FORCE_ENABLE=1 SAL_USE_VCLPLUGIN=gtk ./soffice.bin

has a number of problems in Writer. First it crashes as the window opens when it tries to draw the blue rectangle around the selected page, but that's not the only one: clicking on the next page would also paint directly.
Comment 1 Commit Notification 2015-07-24 14:02:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c114151343cbe6853dd46833c42368d738afd8a

tdf#92914 SwPagePreviewLayout::_PaintSelectMarkAtPage: handle rendercontext

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-07-24 16:11:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da24bd36a5213670b5636abf4dbac317c4135c07

tdf#92914 SwPagePreviewLayout::MarkNewSelectedPage: avoid direct paint

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-07-28 08:16:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46e7991be05a39a24e0a559db6ff1aea0ebc14e5

tdf#92914 SwPagePreviewLayout::Paint: handle rendercontext

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-07-28 10:37:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2c40908c05d0d526bfaee523895399ab88087f7&h=libreoffice-5-0

tdf#92914 SwPagePreviewLayout::_PaintSelectMarkAtPage: handle rendercontext

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-07-28 16:10:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=540cb7302d3fd515bb6c39693c561ca62c7860a4&h=libreoffice-5-0

tdf#92914 SwPagePreviewLayout::MarkNewSelectedPage: avoid direct paint

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-07-29 10:58:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0deff9044cd0c21a4caf1df2df13d9a1b5cecff2&h=libreoffice-5-0

tdf#92914 SwPagePreviewLayout::Paint: handle rendercontext

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.